## ros-one-twist-mux 3.1.3-2jammy.20251023.0431

=== debian/changelog ===
ros-one-twist-mux (3.1.3-2jammy.20251023.0431) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Thu, 23 Oct 2025 04:31:34 +0000

ros-one-twist-mux (3.1.3-0jammy) jammy; urgency=high

  * Fix tests for Python3 (#40 <https://github.com/ros-teleop/twist_mux/issues/40>)
  * [ROS1] Fix Noetic release / Python3 (#39 <https://github.com/ros-teleop/twist_mux/issues/39>)
    Resolves #22 <https://github.com/ros-teleop/twist_mux/issues/22>
  * [ROS1] Add GitHub Actions CI (#38 <https://github.com/ros-teleop/twist_mux/issues/38>)
  * Contributors: Wolfgang Merkt

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Mon, 24 Oct 2022 00:00:00 -0000

ros-one-twist-mux (3.1.2-0jammy) jammy; urgency=high

  * Install joystick_relay.py with catkin_install_python (#37 <https://github.com/ros-teleop/twist_mux/issues/37>)
  * Some more logical operator fixes
  * Use standard logical or operator
  * Contributors: Bence Magyar, Tobias Fischer, Wolfgang Merkt

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Thu, 18 Aug 2022 00:00:00 -0000

ros-one-twist-mux (3.1.1-0jammy) jammy; urgency=high

  * Bump CMake version to avoid CMP0048
  * Contributors: Bence Magyar

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Tue, 02 Jun 2020 00:00:00 -0000

ros-one-twist-mux (3.1.0-0jammy) jammy; urgency=high



 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Mon, 25 Jun 2018 00:00:00 -0000

ros-one-twist-mux (3.0.0-0jammy) jammy; urgency=high

  * Merge pull request #8 <https://github.com/ros-teleop/twist_mux/issues/8> from ros-teleop/update_jade_from_indigo_devel
    fix queue_size SyntaxWarning
  * fix queue_size SyntaxWarning
  * Update README.md
    Add documentation link and build status.
  * Contributors: Enrique Fernández Perdomo, Jeremie Deray

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Tue, 12 Jul 2016 00:00:00 -0000

ros-one-twist-mux (2.0.0-0jammy) jammy; urgency=high

  * Add rosindex tags
    http://rosindex.github.io/contribute/metadata/#metadata-elements
  * Add missed test dependencies on rospy, rostopic
  * Add .gitignore for *.pyc in test
  * Fix rostest dependency
  * Contributors: Enrique Fernandez

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Fri, 22 May 2015 00:00:00 -0000

ros-one-twist-mux (1.0.3-0jammy) jammy; urgency=high

  * Update maintainer email
  * Contributors: Enrique Fernandez

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Sat, 04 Apr 2015 00:00:00 -0000

ros-one-twist-mux (1.0.2-0jammy) jammy; urgency=high

  * Increase version to 1.0.1 for indigo release
  * Add diagnostic_updater dependency
  * Contributors: Enrique Fernández

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Fri, 14 Nov 2014 00:00:00 -0000

ros-one-twist-mux (0.0.1-0jammy) jammy; urgency=high

  * Add twist multiplexer
  * Contributors: Enrique Fernandez, Siegfried Gevatter, Paul Mathieu

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Thu, 13 Nov 2014 00:00:00 -0000

## ros-one-twist-mux 3.1.3-2jammy.20260221.0103

=== debian/changelog ===
ros-one-twist-mux (3.1.3-2jammy.20260221.0103) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Sat, 21 Feb 2026 01:03:34 +0000

## ros-one-twist-mux 3.1.3-2noble.20251023.0429

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(twist_mux)

find_package(catkin REQUIRED
    COMPONENTS
      roscpp
      std_msgs
      geometry_msgs
      visualization_msgs
      diagnostic_updater)

catkin_package(
    INCLUDE_DIRS include
    CATKIN_DEPENDS
      roscpp
      std_msgs
      geometry_msgs
      visualization_msgs
      diagnostic_updater)

include_directories(include ${catkin_INCLUDE_DIRS})

add_executable(twist_mux
    src/twist_mux.cpp
    src/twist_mux_node.cpp
    src/twist_mux_diagnostics.cpp)
target_link_libraries(twist_mux ${catkin_LIBRARIES})

add_executable(twist_marker
    src/twist_marker.cpp)
target_link_libraries(twist_marker ${catkin_LIBRARIES})

install(TARGETS twist_mux twist_marker
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

catkin_install_python(PROGRAMS scripts/joystick_relay.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

foreach(dir launch config)
    install(DIRECTORY ${dir}/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach()

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
    find_package(rostest REQUIRED)

    add_rostest(test/system.test)
endif()

=== debian/changelog ===
ros-one-twist-mux (3.1.3-2noble.20251023.0429) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Thu, 23 Oct 2025 04:29:01 +0000

ros-one-twist-mux (3.1.3-0noble) noble; urgency=high

  * Fix tests for Python3 (#40 <https://github.com/ros-teleop/twist_mux/issues/40>)
  * [ROS1] Fix Noetic release / Python3 (#39 <https://github.com/ros-teleop/twist_mux/issues/39>)
    Resolves #22 <https://github.com/ros-teleop/twist_mux/issues/22>
  * [ROS1] Add GitHub Actions CI (#38 <https://github.com/ros-teleop/twist_mux/issues/38>)
  * Contributors: Wolfgang Merkt

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Mon, 24 Oct 2022 00:00:00 -0000

ros-one-twist-mux (3.1.2-0noble) noble; urgency=high

  * Install joystick_relay.py with catkin_install_python (#37 <https://github.com/ros-teleop/twist_mux/issues/37>)
  * Some more logical operator fixes
  * Use standard logical or operator
  * Contributors: Bence Magyar, Tobias Fischer, Wolfgang Merkt

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Thu, 18 Aug 2022 00:00:00 -0000

ros-one-twist-mux (3.1.1-0noble) noble; urgency=high

  * Bump CMake version to avoid CMP0048
  * Contributors: Bence Magyar

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Tue, 02 Jun 2020 00:00:00 -0000

ros-one-twist-mux (3.1.0-0noble) noble; urgency=high



 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Mon, 25 Jun 2018 00:00:00 -0000

ros-one-twist-mux (3.0.0-0noble) noble; urgency=high

  * Merge pull request #8 <https://github.com/ros-teleop/twist_mux/issues/8> from ros-teleop/update_jade_from_indigo_devel
    fix queue_size SyntaxWarning
  * fix queue_size SyntaxWarning
  * Update README.md
    Add documentation link and build status.
  * Contributors: Enrique Fernández Perdomo, Jeremie Deray

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Tue, 12 Jul 2016 00:00:00 -0000

ros-one-twist-mux (2.0.0-0noble) noble; urgency=high

  * Add rosindex tags
    http://rosindex.github.io/contribute/metadata/#metadata-elements
  * Add missed test dependencies on rospy, rostopic
  * Add .gitignore for *.pyc in test
  * Fix rostest dependency
  * Contributors: Enrique Fernandez

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Fri, 22 May 2015 00:00:00 -0000

ros-one-twist-mux (1.0.3-0noble) noble; urgency=high

  * Update maintainer email
  * Contributors: Enrique Fernandez

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Sat, 04 Apr 2015 00:00:00 -0000

ros-one-twist-mux (1.0.2-0noble) noble; urgency=high

  * Increase version to 1.0.1 for indigo release
  * Add diagnostic_updater dependency
  * Contributors: Enrique Fernández

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Fri, 14 Nov 2014 00:00:00 -0000

ros-one-twist-mux (0.0.1-0noble) noble; urgency=high

  * Add twist multiplexer
  * Contributors: Enrique Fernandez, Siegfried Gevatter, Paul Mathieu

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Thu, 13 Nov 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-twist-mux
Section: misc
Priority: optional
Maintainer: Enrique Fernandez <efernandez@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-diagnostic-updater, ros-one-geometry-msgs, ros-one-roscpp, ros-one-rostest, ros-one-std-msgs, ros-one-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-twist-mux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-diagnostic-updater, ros-one-geometry-msgs, ros-one-roscpp, ros-one-std-msgs, ros-one-twist-mux-msgs, ros-one-visualization-msgs
Description: Twist multiplexer, which multiplex several velocity commands (topics) and allows to priorize or disable them (locks).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-twist-mux//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-twist-mux 3.1.3-2noble.20260221.0137

=== debian/changelog ===
ros-one-twist-mux (3.1.3-2noble.20260221.0137) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Enrique Fernandez <efernandez@clearpathrobotics.com>  Sat, 21 Feb 2026 01:37:50 +0000
